/* OGMRip - A DVD Encoder for GNOME
 * Copyright (C) 2004-2005 Olivier Rolland <billl@users.sf.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMRIP_DVD_CHOOSER_H__
#define __OGMRIP_DVD_CHOOSER_H__

#include <gtk/gtkcomboboxentry.h>
#include <nautilus-burn-drive.h>

G_BEGIN_DECLS

#define OGMRIP_TYPE_DVD_CHOOSER            (ogmrip_dvd_chooser_get_type ())
#define OGMRIP_DVD_CHOOSER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMRIP_TYPE_DVD_CHOOSER, OGMRipDvdChooser))
#define OGMRIP_DVD_CHOOSER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), OGMRIP_TYPE_DVD_CHOOSER, OGMRipDvdChooserClass))
#define OGMRIP_IS_DVD_CHOOSER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, OGMRIP_TYPE_DVD_CHOOSER))
#define OGMRIP_IS_DVD_CHOOSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMRIP_TYPE_DVD_CHOOSER))

typedef struct OGMRipDvdChooserPriv OGMRipDvdChooserPriv;

typedef struct
{
  GtkComboBox widget;
  OGMRipDvdChooserPriv *priv;
} OGMRipDvdChooser;

typedef struct
{
  GtkComboBoxClass parent_class;

  void (* device_changed) (OGMRipDvdChooser *chooser, 
                           const char       *device_path);
} OGMRipDvdChooserClass;

GtkType                   ogmrip_dvd_chooser_get_type           (void);
GtkWidget *               ogmrip_dvd_chooser_new                (void);
const char *              ogmrip_dvd_chooser_get_device         (OGMRipDvdChooser *chooser);
const char *              ogmrip_dvd_chooser_get_default_device (OGMRipDvdChooser *chooser);
const NautilusBurnDrive * ogmrip_dvd_chooser_get_drive          (OGMRipDvdChooser *chooser);

G_END_DECLS

#endif /* __OGMRIP_DVD_CHOOSER_H__ */

