/* OGMRip - A DVD Encoder for GNOME
 * Copyright (C) 2004-2005 Olivier Rolland <billl@users.sf.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMRIP_DVD_DIALOG_H__
#define __OGMRIP_DVD_DIALOG_H__

#include <gtk/gtk.h>
#include <nautilus-burn-drive.h>

G_BEGIN_DECLS

#define OGMRIP_TYPE_DVD_DIALOG            (ogmrip_dvd_dialog_get_type ())
#define OGMRIP_DVD_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMRIP_TYPE_DVD_DIALOG, OGMRipDvdDialog))
#define OGMRIP_DVD_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), OGMRIP_TYPE_DVD_DIALOG, OGMRipDvdDialogClass))
#define OGMRIP_IS_DVD_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, OGMRIP_TYPE_DVD_DIALOG))
#define OGMRIP_IS_DVD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMRIP_TYPE_DVD_DIALOG))

typedef struct OGMRipDvdDialogPriv OGMRipDvdDialogPriv;

typedef struct
{
  GtkDialog widget;
  OGMRipDvdDialogPriv *priv;
} OGMRipDvdDialog;

typedef struct
{
  GtkDialogClass parent_class;

  void (* eject) (OGMRipDvdDialog *dialog);

} OGMRipDvdDialogClass;

GtkType                   ogmrip_dvd_dialog_get_type           (void);
GtkWidget *               ogmrip_dvd_dialog_new                (void);
const NautilusBurnDrive * ogmrip_dvd_dialog_get_drive          (OGMRipDvdDialog *dialog);

G_END_DECLS

#endif /* __OGMRIP_DVD_DIALOG_H__ */

